Zum Inhalt springen
English
Esc
↑↓navigate↵open⌘Jpreview

Create a project

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

POST/v1/projects
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Request body
requiredapplication/json
contactIdstringrequired
buildingIdstringrequired
titlestringrequired
min length 1
typestring
Allowed:heat-planningenergieausweis
Responses
201OK
idstringrequired
contactIdstringrequired
buildingIdstringrequired
titlestringrequired
typestringrequired
Allowed:heat-planningenergieausweis
statusstringrequired
Allowed:draftactivesubmittedarchived
versionNumberintegerrequired
min -9007199254740991 · max 9007199254740991
rootProjectIdstring | anyrequired
Show properties
Any of:
string
string
any
any
parentProjectIdstring | anyrequired
Show properties
Any of:
string
string
any
any
isVisibleInCustomerPortalbooleanrequired
archivedAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
Request
curl -X POST "https://app.bauhow.com/api/v1/projects" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "contactId": "string",
  "buildingId": "string",
  "title": "string",
  "type": "heat-planning"
}'
Response
{
  "id": "string",
  "contactId": "string",
  "buildingId": "string",
  "title": "string",
  "type": "heat-planning",
  "status": "draft",
  "versionNumber": 0,
  "rootProjectId": "string",
  "parentProjectId": "string",
  "isVisibleInCustomerPortal": true,
  "archivedAt": "2024-01-01T00:00:00Z",
  "createdAt": "2024-01-01T00:00:00Z",
  "updatedAt": "2024-01-01T00:00:00Z"
}